Subject: Re: network namespace bloat

From: Nicolas Dichtel <[email-masked]>
Date: Wed, 11 Feb 2015 18:09:44 +0100

Le 11/02/2015 03:42, Eric W. Biederman a écrit :
[snip]
>
> The next largest component appears to be all of the tunnel network
> devices that we allocate for compatibility reasons so that the old ioctl
> interfaces still work.
>
[snip]
>
>
> A knob (sysctl?) that controls the creation of the backwards
> compabitilty tunnel network devices seems desirable.  As in many
> instances those are just overhead today.
Note that these interfaces are also used as fallback devices, they catch
packets that don't match any configured tunnels.

See: http://thread.gmane.org/gmane.linux.network/249634/focus=249634

[snip]
>
> In my ideal world enough of these issues would be fixed that a
> new empty network namespace would consume less than 100KiB of memory.
+1

Regards,
Nicolas